<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Telephone Input with Country Code</title>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.13/css/intlTelInput.css">
</head>
<body>

<div>
  <input type="tel" id="phone-number" placeholder="Enter your phone number">
</div>

<script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.13/js/intlTelInput.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.13/js/utils.js"></script>
<script>
// Initialize intlTelInput
var input = document.querySelector("#phone-number");
var iti = window.intlTelInput(input, {
  utilsScript: "https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.13/js/utils.js",
  initialCountry: "auto",
  separateDialCode: true,
});

// Validate phone number on form submission
document.querySelector("phone-number").addEventListener("submit", function(event) {
  event.preventDefault();
  var isValid = iti.isValidNumber();
  var phoneNumber = iti.getNumber();
  if (isValid) {
    alert("Phone number is valid: " + phoneNumber);
  } else {
    alert("Invalid phone number! Please enter a valid phone number.");
  }
});
</script>

</body>
</html>
