<!DOCTYPE html>
<html lang="en">
  <head>
    <?php include "../partials/HeadMetaTitle.php" ?>
    <!-- Google font-->
    <?php include "../partials/GoogleFont.php" ?>
    <!-- ico-font-->
    <?php include "../partials/IconsCSS.php" ?>
    <!-- Plugins css start-->
    <?php include "../partials/PluginsCSS.php" ?>
    <!-- Plugins css Ends-->
    <!-- Bootstrap css-->
    <?php include "../partials/BootStrapCSS.php" ?>
  </head>
  <body> 
    <!-- loader starts-->
    <div class="loader-wrapper">
      <div class="loader"> 
        <div class="loader4"></div>
      </div>
    </div>
    <!-- loader ends-->
    <!-- tap on top starts-->
    <div class="tap-top"><i data-feather="chevrons-up"></i></div>
    <!-- tap on tap ends-->
    <!-- page-wrapper Start-->
    <div class="page-wrapper compact-wrapper" id="pageWrapper">
      <!-- Page Header Start-->
      <?php include "../partials/PageHeader.php" ?>
      <!-- Page Header Ends   -->

      <!-- Page Body Start-->
      <div class="page-body-wrapper">

        <!-- Page Sidebar Start-->
        <?php include "../partials/PageSidebar.php" ?>
        <!-- Page Sidebar Ends-->

        <div class="page-body">
          <div class="container-fluid">
            <div class="page-title">
              <div class="row">
                <div class="col-6">
                  <h4>خدمات النظام</h4>
                </div>
                <?php if(isset($_REQUEST["PartitonName"]) && isset($_REQUEST["MainServiceName"])){ ?>
                <div class="col-6">
                  <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="index.php">                                       
                        <svg class="stroke-icon">
                          <use href="../assets/svg/icon-sprite.svg#stroke-home"></use>
                        </svg></a></li>
                    <li class="breadcrumb-item"><?php echo $_REQUEST["PartitonName"]; ?></li>
                    <li class="breadcrumb-item active"> <?php echo $_REQUEST["MainServiceName"]; ?></li>
                  </ol>
                </div>
                <?php } ?>
              </div>
            </div>
          </div>
          <!-- Container-fluid starts-->
          <div class="container-fluid">
            <div class="row">
              <div class="col-sm-12"> 
                <div class="card">
                  <div class="card-header">
                    <h4>التصنيف الرئيسي</h4>
                    
                    <div class="col-12 text-end">
                      <button class="btn btn-primary">تعديل</button>
                    </div>
                  </div>
                  <div class="card-body">
                    <div class="horizontal-wizard-wrapper">
                      <div class="row g-3">
                        <div class="col-12"> 
                          <div class="tab-content dark-field" id="horizontal-wizard-tabContent">
                            <div class="tab-pane fade show active" id="wizard-info" role="tabpanel" aria-labelledby="wizard-info-tab">
                              <form class="row g-3 needs-validation" novalidate="">
                                <div class="col-xl-4 col-sm-6">
                                  <label class="form-label" for="customFirstname">First Name<span class="txt-danger">*</span></label>
                                  <input class="form-control" id="customFirstname" type="text" placeholder="Enter first name" required="">
                                  <div class="valid-feedback">Looks good!</div>
                                </div>
                                <div class="col-xl-4 col-sm-6">
                                  <label class="form-label" for="customLastname">Last Name<span class="txt-danger">*</span></label>
                                  <input class="form-control" id="customLastname" type="text" placeholder="Enter last name" required="">
                                  <div class="valid-feedback">Looks good!</div>
                                </div>
                                <div class="col-xl-4 col-12">
                                  <label class="form-label" for="customEmail">Email<span class="txt-danger">*</span></label>
                                  <input class="form-control" id="customEmail" type="email" required="" placeholder="Riho@example.com">
                                  <div class="valid-feedback">Looks good!</div>
                                </div>
                                <div class="col-xl-5 col-sm-4">
                                  <label class="form-label" for="customState-wizard">State</label>
                                  <select class="form-select" id="customState-wizard" required="">
                                    <option selected="" disabled="" value="">Choose...</option>
                                    <option>USA </option>
                                    <option>U.K </option>
                                    <option>U.S</option>
                                  </select>
                                  <div class="invalid-feedback">Please select a valid state.</div>
                                </div>
                                <div class="col-xl-3 col-sm-4">
                                  <label class="form-label" for="custom-zipcode">Zip Code</label>
                                  <input class="form-control" id="custom-zipcode" type="text" required="">
                                  <div class="invalid-feedback">Please provide a valid zip.</div>
                                </div>
                                <div class="col-sm-4">
                                  <label class="form-label" for="customContact1">Contact Number</label>
                                  <input class="form-control" id="customContact1" type="number" placeholder="Enter number" required="">
                                  <div class="valid-feedback">Looks good!</div>
                                </div>
                                <div class="col-12">
                                  <div class="form-check">
                                    <input class="form-check-input" id="invalid-check-wizard" type="checkbox" value="" required="">
                                    <label class="form-check-label mb-0 d-block" for="invalid-check-wizard">Agree to terms and conditions</label>
                                    <div class="invalid-feedback">You must agree before submitting.</div>
                                  </div>
                                </div>
                                <div class="col-12 text-end">
                                  <button class="btn btn-primary">Continue</button>
                                </div>
                              </form>
                            </div>                           
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!-- Container-fluid Ends-->
        </div>
        <!-- footer start-->
        <?php include "../partials/PageFooter.php" ?>
      </div>
    </div>
    <!-- latest jquery-->
      <?php include "../partials/BootStrapJqueryJs.php" ?>
    <!-- scrollbar js-->
      <?php include "../partials/ScrollbarJS.php" ?>
    <!-- Sidebar jquery-->
      <?php include "../partials/SidebarJS.php" ?>
    <!-- Plugins JS start-->
      <?php include "../partials/PluginsJS.php" ?>
    <!-- calendar js-->
      <?php include "../partials/CalendarJS.php" ?>
    <!-- Plugins JS Ends-->
    <!-- Theme js-->
      <?php include "../partials/ThemeJS.php" ?>
  </body>
</html>